<div class="front_page_section front_page_section_features<?php
	$visard_scheme = visard_get_theme_option( 'front_page_features_scheme' );
	if ( ! empty( $visard_scheme ) && ! visard_is_inherit( $visard_scheme ) ) {
		echo ' scheme_' . esc_attr( $visard_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( visard_get_theme_option( 'front_page_features_paddings' ) );
	if ( visard_get_theme_option( 'front_page_features_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$visard_css      = '';
		$visard_bg_image = visard_get_theme_option( 'front_page_features_bg_image' );
		if ( ! empty( $visard_bg_image ) ) {
			$visard_css .= 'background-image: url(' . esc_url( visard_get_attachment_url( $visard_bg_image ) ) . ');';
		}
		if ( ! empty( $visard_css ) ) {
			echo ' style="' . esc_attr( $visard_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$visard_anchor_icon = visard_get_theme_option( 'front_page_features_anchor_icon' );
	$visard_anchor_text = visard_get_theme_option( 'front_page_features_anchor_text' );
if ( ( ! empty( $visard_anchor_icon ) || ! empty( $visard_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_features"'
									. ( ! empty( $visard_anchor_icon ) ? ' icon="' . esc_attr( $visard_anchor_icon ) . '"' : '' )
									. ( ! empty( $visard_anchor_text ) ? ' title="' . esc_attr( $visard_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_features_inner
	<?php
	if ( visard_get_theme_option( 'front_page_features_fullheight' ) ) {
		echo ' visard-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$visard_css      = '';
			$visard_bg_mask  = visard_get_theme_option( 'front_page_features_bg_mask' );
			$visard_bg_color_type = visard_get_theme_option( 'front_page_features_bg_color_type' );
			if ( 'custom' == $visard_bg_color_type ) {
				$visard_bg_color = visard_get_theme_option( 'front_page_features_bg_color' );
			} elseif ( 'scheme_bg_color' == $visard_bg_color_type ) {
				$visard_bg_color = visard_get_scheme_color( 'bg_color', $visard_scheme );
			} else {
				$visard_bg_color = '';
			}
			if ( ! empty( $visard_bg_color ) && $visard_bg_mask > 0 ) {
				$visard_css .= 'background-color: ' . esc_attr(
					1 == $visard_bg_mask ? $visard_bg_color : visard_hex2rgba( $visard_bg_color, $visard_bg_mask )
				) . ';';
			}
			if ( ! empty( $visard_css ) ) {
				echo ' style="' . esc_attr( $visard_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_features_content_wrap content_wrap">
			<?php
			// Caption
			$visard_caption = visard_get_theme_option( 'front_page_features_caption' );
			if ( ! empty( $visard_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_features_caption front_page_block_<?php echo ! empty( $visard_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $visard_caption, 'visard_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$visard_description = visard_get_theme_option( 'front_page_features_description' );
			if ( ! empty( $visard_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_features_description front_page_block_<?php echo ! empty( $visard_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $visard_description ), 'visard_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_features_output">
				<?php
				if ( is_active_sidebar( 'front_page_features_widgets' ) ) {
					dynamic_sidebar( 'front_page_features_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! visard_exists_trx_addons() ) {
						visard_customizer_need_trx_addons_message();
					} else {
						visard_customizer_need_widgets_message( 'front_page_features_caption', 'ThemeREX Addons - Services' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
