<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package VISARD
 * @since VISARD 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$visard_copyright_scheme = visard_get_theme_option( 'copyright_scheme' );
if ( ! empty( $visard_copyright_scheme ) && ! visard_is_inherit( $visard_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $visard_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$visard_copyright = visard_get_theme_option( 'copyright' );
			if ( ! empty( $visard_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$visard_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $visard_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$visard_copyright = visard_prepare_macros( $visard_copyright );
				// Display copyright
				echo wp_kses( nl2br( $visard_copyright ), 'visard_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
