<?php
/**
 * The template to display default site footer
 *
 * @package VISARD
 * @since VISARD 1.0.10
 */

$visard_footer_id = visard_get_custom_footer_id();
$visard_footer_meta = get_post_meta( $visard_footer_id, 'trx_addons_options', true );
if ( ! empty( $visard_footer_meta['margin'] ) ) {
	visard_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( visard_prepare_css_value( $visard_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $visard_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $visard_footer_id ) ) ); ?>
						<?php
						$visard_footer_scheme = visard_get_theme_option( 'footer_scheme' );
						if ( ! empty( $visard_footer_scheme ) && ! visard_is_inherit( $visard_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $visard_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'visard_action_show_layout', $visard_footer_id );
	?>
</footer><!-- /.footer_wrap -->
