<?php
/**
 * The template to display the background video in the header
 *
 * @package VISARD
 * @since VISARD 1.0.14
 */
$visard_header_video = visard_get_header_video();
$visard_embed_video  = '';
if ( ! empty( $visard_header_video ) && ! visard_is_from_uploads( $visard_header_video ) ) {
	if ( visard_is_youtube_url( $visard_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $visard_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php visard_show_layout( visard_get_embed_video( $visard_header_video ) ); ?></div>
		<?php
	}
}
